html,
.os-wrapper,
.os-wrapper > .fr-grid-row {
  height: 100%;
}

img {
  max-width: 100%;
}

.os-text-center {
  text-align: center;
}

.os-wrapper {
  overflow-x: hidden;
}

.os-wrapper > .fr-grid-row.fr-grid-row--gutters > [class*=" fr-col-"],
.os-wrapper > .fr-grid-row.fr-grid-row--gutters > [class^="fr-col-"] {
  padding-bottom: 0;
}

.os-header {
  padding-right: 1.25rem;
  padding-left: 1.25rem;
}

.os-header .fr-header__body-row {
  margin-left: 0;
}

.os-main-content {
  padding: 1.25rem;
  background-color: #fff;
}
.os-main-content__header,
.os-table-wrapper .fr-tabs__list {
  background-color: var(--background-contrast-info);
}

.os-main-content__header {
  align-items: center;
  padding: 1rem 1rem 0;
}
.os-main-content__header .fr-btns-group {
  justify-content: flex-end;
}

.os-table-wrapper__header {
  padding-bottom: 2rem;
}

.os-table-wrapper__header
  > .fr-grid-row
  > .fr-col:not(:first-of-type):last-of-type {
  display: flex;
  justify-content: flex-end;
}

.os-table-wrapper__header .fr-h3 {
  margin-bottom: 0;
}

.os-table-wrapper .fr-tabs__list {
  padding: 0;
}

.os-table-wrapper__search {
  margin-bottom: 2rem;
}

.os-table-wrapper__search .fr-label {
  font-size: 0.875rem;
}

.os-table-wrapper table thead .os-actions,
.os-table-wrapper table tbody .os-actions {
  text-align: center;
  background-color: var(--background-contrast-info);
}

.os-main-content .table {
  width: calc(100% + 4rem);
  margin-right: -2rem;
  margin-left: -2rem;
  border-collapse: collapse;
}

.os-main-content .table,
.os-main-content .table th,
.os-main-content .table td {
  color: var(--text-default-grey);
  border: 0;
}

.os-main-content .table th,
.os-main-content .table .fr-checkbox-group input[type="checkbox"] + label,
.os-main-content .table td {
  font-size: 0.75rem;
  line-height: 1.7;
}

.os-main-content .table thead {
  background-color: var(--background-contrast-info);
  border-bottom: 1px solid var(--border-default-grey);
}

.os-main-content .table th {
  padding: 1rem 0.5rem 0.5rem;
  text-align: left;
}

.os-main-content .table th.headerSortDown,
.os-main-content .table th.headerSortUp {
  padding-left: 1rem;
  background-color: transparent;
}

.os-main-content .table tr {
  border-bottom: 1px solid var(--border-default-grey);
}

.os-main-content .table td {
  padding: 0.63rem 1.5rem 0.63rem 0.5rem;
}

.os-main-content .table td.has-ellipsis {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.os-main-content .table .fr-checkbox-group:first-child {
  margin-top: 0;
}
.os-main-content .table .fr-checkbox-group:last-child {
  margin-bottom: 0;
}
.os-main-content .table .fr-checkbox-group input[type="checkbox"] + label {
  padding: 0;
  margin-bottom: 0;
}
.os-main-content
  .table
  .fr-checkbox-group
  input[type="checkbox"]
  + label::before {
  margin-top: 0.25rem;
}

/** centrage des checkbox dans les th et td */
.os-main-content
  .table
  th
  .fr-checkbox-group
  input[type="checkbox"]
  + label::before {
  margin-top: 0;
}
.os-main-content
  .table
  td
  .fr-checkbox-group
  input[type="checkbox"]
  + label::before {
  margin-top: -0.5rem;
}
/** fin centrage des checkbox dans les th et td */

.os-main-content .table td:last-of-type {
  padding-right: 0.5rem;
}

.os-main-content .fr-btn--sm[class^="fr-icon-"]:not([class*="fr-btn--icon-"]),
.os-main-content .fr-btn--sm[class*=" fr-icon-"]:not([class*="fr-btn--icon-"]),
.os-main-content .fr-btn--sm[class^="fr-fi-"]:not([class*="fr-btn--icon-"]),
.os-main-content .fr-btn--sm[class*=" fr-fi-"]:not([class*="fr-btn--icon-"]),
.os-main-content .fr-btn--sm[class*=" gn-icon-copy-file-line"] {
  flex-shrink: 0;
  max-width: 1.5rem;
  max-height: 1.5rem;
  min-height: 0;
  padding: 4px;
  border-radius: 50%;
}

.os-main-content
  .fr-btn--sm[class^="fr-icon-"]:not([class*="fr-btn--icon-"])::before,
.os-main-content
  .fr-btn--sm[class*=" fr-icon-"]:not([class*="fr-btn--icon-"])::before,
.os-main-content
  .fr-btn--sm[class^="fr-fi-"]:not([class*="fr-btn--icon-"])::before,
.os-main-content
  .fr-btn--sm[class*=" fr-fi-"]:not([class*="fr-btn--icon-"])::before {
  vertical-align: baseline;
}

.os-main-content .fr-btn--tertiary-no-outline {
  background-color: var(--grey-1000-50);
}

.os-badge.fr-badge--new::before {
  -webkit-mask-image: url(../dsfr/icons/document/draft-fill.svg);
  mask-image: url(../dsfr/icons/document/draft-fill.svg);
}

.os-badge.fr-badge--warning::before {
  -webkit-mask-image: url(../dsfr/icons/system/timer-fill.svg);
  mask-image: url(../dsfr/icons/system/timer-fill.svg);
}

.os-signature-status::before {
    margin:0;
}

.os-dropzone {
  display: flex;
  flex-direction: column;
  align-items: center;
  /* margin-top: 1rem;
  margin-bottom: 2rem; */
  padding: 1rem;
  text-align: center;
  background-color: var(--background-contrast-grey);
}
.os-dropzone p {
  margin-top: 1.5rem;
  margin-bottom: 0;
}

.os-dropped-files {
  padding-left: 0.75rem;
}
.os-dropped-files p {
  margin-bottom: unset;
}
.os-dropped-files p:before {
  content: "*";
}

.os-header--documents {
  justify-content: flex-start;
}
.os-header--documents .os-header__brand {
  margin-bottom: 2rem;
}

.os-page-nav {
  position: relative;
  margin-top: 2rem;
  margin-bottom: 2rem;
}

.os-docs-wrapper #page-content {
  padding: 1rem;
  border: 1px solid var(--border-default-grey);
}

.os-docs-wrapper .fr-callout {
  padding: 1rem;
  margin-bottom: 1rem;
}
.os-docs-wrapper__actions {
  display: flex;
  gap: 1rem;
}

.documents-list {
  margin-right: -1rem;
  margin-bottom: 1rem;
  --ul-type: none;
  --ul-start: 0;
  --underline-img: none;
  --li-bottom: 0;
  padding-right: 0;
  box-shadow: none;
  overflow-y: auto;
}

.documents-list .fr-sidemenu__list {
  margin-bottom: 1rem;
}


.documents-list .fr-sidemenu__item {
  display: flex;
  align-items: baseline;
}




.documents-list .fr-sidemenu__link {
  white-space: nowrap;
  padding-top: 0;
  padding-bottom: 0;
}

.documents-list .fr-sidemenu__btn[aria-current]:before,
.documents-list .fr-sidemenu__link[aria-current]:before {
  top:0;
  bottom: 0;
}

.documents-list__title {
  display: flex;
  flex-wrap: wrap;
  gap: 0.5rem;
  margin-bottom: 1rem;
}

.documents-list__title .fr-h5 {
  margin-bottom: 0;
}

.os-document {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
}
.os-document a {
  text-decoration: none;
}
.os-document a::before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}

.rename-list .form-group:not(:last-of-type) {
  margin-bottom: 1rem;
}

.commentaries-content hr {
  margin-top: 1.5rem;
  padding-bottom: 1px;
}

.commentaries-content article {
  margin-top: 2rem;
  padding: 1rem 2rem;
  background-color: var(--background-contrast-grey);
  box-shadow: inset 0.25rem 0 0 0 var(--border-default-blue-france);
}

.commentaries-content p:last-child {
  margin-bottom: 0;
}

.share-content > div + div {
  margin-top: 2rem;
}

.share-content .fr-tile .fr-input,
.share-content .fr-tile p {
  margin-bottom: 0.5rem;
}

.settings-content hr {
  margin-top: 2rem;
}

.direct-access-content .fr-highlight {
  margin-bottom: 1.5rem;
}

.signature-request-content__feedback {
  margin-top: 2rem;
}

/** ajout WBL pour le header dsfr et optimiser la largeur */
.os-logo {
  padding: 0;
  height: 3.75rem;
  width: 9rem;
}

/* change flex order */
@media screen and (max-width: 48em) {
  .os-dossier-title {
    order: 3;
  }
}

/* set dossier menu on right */
.os-col-align-right {
  display: flex;
  justify-content: flex-end;
}

/** fin ajout WBL */

.extra-menu {
  display: inline-flex;
  z-index: 2;
}
.extra-menu > ul {
  padding: 0;
  margin: 0;
}

.extra-menu li {
  display: block;
  transition-duration: 0.5s;
  padding-bottom: 0;
}

.extra-menu li:hover {
  cursor: pointer;
}

.extra-menu ul li ul {
  background-color: #fff;
  visibility: hidden;
  opacity: 0;
  position: absolute;
  transition: all 0.5s ease;
  margin-top: 0;
  display: none;
  width: fit-content;
  filter: drop-shadow(var(--raised-shadow));
  transform: translateX(-2.5rem);
}

.extra-menu ul li:hover > ul,
.extra-menu ul li ul:hover,
.extra-menu ul li ul:focus {
  visibility: visible;
  opacity: 1;
  display: flex;
  flex-direction: column;
}

/* IE 11 won't get this, but at least the top-level menus will work */
ul li:focus-within > ul {
  visibility: visible;
  opacity: 1;
  display: block;
}

.extra-menu ul li ul.dropdown li a.fr-btn {
  margin-bottom: 0;
}

.documents-list__folder {
  margin: 0rem 0;
}
.documents-list__folder-name {
  margin-bottom: 0;
}
.documents-list__folder-name a {
  background: none;
}

.multi-docs-selection--item {
  display: flex;
  align-items: center;
}
.multi-docs-selection--item .fr-checkbox-group:first-child {
  margin-top: 0;
  margin-left: 0.25rem;
}
.multi-docs-selection--item .fr-checkbox-group input[type="checkbox"] + label {
  padding: 0.25rem 0;
}
.multi-docs-selection--item
  .fr-checkbox-group
  input[type="checkbox"]
  + label::before {
  margin-top: 0.25rem;
}

.multi-docs-selection--item
  .fr-checkbox-group:first-child
  input[type="checkbox"]
  + label::before,
.multi-docs-selection--item
  .fr-checkbox-group:last-of-type
  input[type="checkbox"]
  + label::before {
  background-color: var(--background-contrast-grey);
  box-shadow: none;
}

.multi-docs-selection--item
  .fr-checkbox-group:first-child
  input[type="checkbox"]
  + label::before {
  --data-uri-svg: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24'%3E%3Cpath fill='%23929292' d='M12 22C6.477 22 2 17.523 2 12S6.477 2 12 2s10 4.477 10 10-4.477 10-10 10zm-.997-6l7.07-7.071-1.414-1.414-5.656 5.657-2.829-2.829-1.414 1.414L11.003 16z'/%3E%3C/svg%3E");
  background-image: var(--data-uri-svg);
}

form:not([lock-selection]) .multi-docs-selection--item
  .fr-checkbox-group:first-child
  input[type="checkbox"]:active
  + label::before,
.multi-docs-selection--item
  .fr-checkbox-group:first-child
  input[type="checkbox"]:checked
  + label::before {
  background-color: var(--background-contrast-success);
  --data-uri-svg: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24'%3E%3Cpath fill='%2318753C' d='M12 22C6.477 22 2 17.523 2 12S6.477 2 12 2s10 4.477 10 10-4.477 10-10 10zm-.997-6l7.07-7.071-1.414-1.414-5.656 5.657-2.829-2.829-1.414 1.414L11.003 16z'/%3E%3C/svg%3E");
}

.multi-docs-selection--item
  .fr-checkbox-group:last-of-type
  input[type="checkbox"]
  + label::before {
  --data-uri-svg: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24'%3E%3Cpath fill='%23929292' d='M17.5 2.5h-11L1 12l5.5 9.5h11L23 12l-5.5-9.5zm-1.3 12.3l-1.4 1.4-2.8-2.8-2.8 2.8-1.4-1.4 2.8-2.8-2.8-2.8 1.4-1.4 2.8 2.8 2.8-2.8 1.4 1.4-2.8 2.8 2.8 2.8z'/%3E%3C/svg%3E");
  background-image: var(--data-uri-svg);
}

form:not([lock-selection]) .multi-docs-selection--item
  .fr-checkbox-group:last-of-type
  input[type="checkbox"]:active
  + label::before,
.multi-docs-selection--item
  .fr-checkbox-group:last-of-type
  input[type="checkbox"]:checked
  + label::before {
  background-color: var(--background-contrast-error);
  --data-uri-svg: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24'%3E%3Cpath fill='%23CE0500' d='M17.5 2.5h-11L1 12l5.5 9.5h11L23 12l-5.5-9.5zm-1.3 12.3l-1.4 1.4-2.8-2.8-2.8 2.8-1.4-1.4 2.8-2.8-2.8-2.8 1.4-1.4 2.8 2.8 2.8-2.8 1.4 1.4-2.8 2.8 2.8 2.8z'/%3E%3C/svg%3E");
}

.doc-name {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}
.doc-name + span {
  margin-left: 0.5rem;
}

.os-signature-page_header > div {
  align-items: flex-end;
}
.os-signature-page_header .fr-grid-row > div:nth-child(2) {
  display: flex;
  justify-content: center;
}
.os-signature-page_header .fr-grid-row > div:last-child {
  display: flex;
  justify-content: flex-end;
}

.os-signature-page_header .fr-breadcrumb {
  margin-top: 0;
  margin-bottom: 1rem;
}

.os-signature-page_header .fr-h3 {
  margin-bottom: 0;
}

.sign_step {
  margin-top: 1rem;
}

.technical-check .fr-badge::before {
  margin-right: 0;
}

.os-home-intro {
  justify-content: center;
  align-items: center;
  margin-top: 4rem;
}

.os-home-img {
  display: flex;
  justify-content: center;
}
.progress {
  display: flex;
  height: 1rem;
  overflow: hidden;
  font-size: 0.75rem;
  background-color: #e9ecef;
  border-radius: 0.25rem;
}
.progress-bar {
  display: flex;
  -ms-flex-direction: column;
  flex-direction: column;
  -ms-flex-pack: center;
  justify-content: center;
  color: #fff;
  text-align: center;
  white-space: nowrap;
  background-color: #007bff;
  transition: width 0.6s ease;
}

@media (prefers-reduced-motion: reduce) {
  .progress-bar {
    transition: none;
  }
}

.help-inline {
  color: var(--text-default-error)
}



/** trying to adjust multisign left menu */

#sidemenufile .fr-sidemenu__inner {
  padding: 0;
 /* box-shadow: none; */

}

#sidemenufile {
  margin-right: -1.35rem;
  /* border-right: 1px solid var(--border-default-grey); */
  padding-left: 2px;
}

#sidemenufile form[lock-selection] {
  opacity: 0.65;
}

#unlockSelection {
  display: none;
}

#sidemenufile.selectionLocked #unlockSelection {
  display: block;
}

.menuFileFormContent {
  /* compute height as vieport height minus page header, padding ,page title, tablist, sidebar title, top and bottom buttons and some padding */
  height: calc(100vh - 100px - 3.5rem - 88px - 4rem - 44px - 44px - 48px - 24px - 40px);
  /* in short height window, show at least a smal area to scroll through documents */
  min-height: 12em; 
  overflow-y: auto;
  padding-right: 1.1rem;
  margin-bottom: 1rem;
  transition: all 500ms ease-in-out;
  /* shadow effect inside scrollable menu */
  /*
  box-shadow: 
    inset 0px -2rem 1rem -2rem grey,
    inset 0px +2rem 1rem -2rem grey;
  */
  padding-top: 0.5rem;
  padding-left: 0.25rem;

}

#toSign-panel #page-content {
  padding: 0 1rem;
}
/** end trying to adjust multisign left menu */


.sidemenufile--full-height {
  position: fixed;
  top: 1.75rem;
  width: var(--sidemenu-width);
}


.sidemenufile--full-height .menuFileFormContent {
  height: calc(100vh - 1rem - 2.75rem - 3rem - 3rem - 2rem - 2rem - 3.25rem);
}

.gn-btn--red {
    background-color: var(--error-425-625);
    color: var(--grey-1000-50);
    --hover-tint: var(--error-425-625-hover);
    --active-tint: var(--error-425-625-active);
}
